%define origname	cups-bjnp

Name:		cups-drivers-bjnp
Version:	2.0.3
Release:	%mkrel 3
Summary:	CUPS backend for the Canon BJNP network printers
License:	GPLv2
Group:		System/Printing
URL:		https://sourceforge.net/projects/cups-bjnp
Source:		https://sourceforge.net/projects/cups-bjnp/files/cups-bjnp/%{version}/%{origname}-%{version}.tar.gz
# cups is required so we can check that the backend directory is really correct
BuildRequires:	cups
BuildRequires:	cups-devel
Requires:	cups

%description
This package contains a backend for CUPS for Canon printers using the
proprietary BJNP network protocol.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure \
	--with-cupsbackenddir=%{_prefix}/lib/cups/backend \
	--disable-Werror
%make_build

%install
%make_install

%files
%doc COPYING ChangeLog TODO NEWS README
%{_prefix}/lib/cups/backend/bjnp


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 2.0.3-3.mga10
+ Revision: 2195735
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 2.0.3-2.mga9
+ Revision: 1792879
- Mageia 9 Mass Rebuild

* Tue Jul 14 2020 daviddavid <daviddavid> 2.0.3-1.mga8
+ Revision: 1606059
- new version: 2.0.3
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1511766
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1297355
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 2.0.1-1.mga7
+ Revision: 1212300
- new version: 2.0.1

* Sun Feb 14 2016 umeabot <umeabot> 2.0-2.mga6
+ Revision: 959826
- Mageia 6 Mass Rebuild

* Thu Jul 30 2015 daviddavid <daviddavid> 2.0-1.mga6
+ Revision: 859004
- new version: 2.0
- update Source URL
- use %%makeinstall_std macro

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 751045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 678619
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 503615
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 348432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 12 2012 doktor5000 <doktor5000> 1.0-1.mga2
+ Revision: 195437
- new version 1.0
- use %%configure2_5x instead of %%configure
- removed empty %%clean section and empty %%defattr

* Wed Feb 23 2011 ennael <ennael> 0.5.4-2.mga1
+ Revision: 57682
- imported package cups-drivers-bjnp


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.4-2mdv2011.0
+ Revision: 603865
- rebuild

* Sun Mar 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 526084
- import cups-drivers-bjnp


* Fri May 29 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.4-1
- More specfile cleanups suggested by Igor Jurišković <juriskovic.igor@gmail.com>
  and mtasaka@ioa.s.u-tokyo.ac.jp:
- removed INSTALL 
- use macros where appropriate),
- updated %%files so we only own bjnp, not the directory
- Removed generation of spec file from configure as it caused a lot of pain
- bumped version to 0.5.4

* Mon May 18 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.3-2
- Specfile cleanups

* Sat May 16 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.3-1
- Reverted changes to spec file generation
- Fixed some rpmlint comments that show up only on complete package but
  not when rpmlint is run on spec file

* Sat May 16 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5.2-2
- Corrected silly errors in configure script
- Added missing address family setting in bjnp-send-broadcast

* Thu Mar 12 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5-1
- Documentation improvements
- Debugging improvements
- Release 0.5

* Thu Feb 19 2009 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.5beta4-1
- Release 0.5beta4
- added autoconf/automake support
- added support for OS's that do not have getifaddr(). this support is limited as
  global broadcasts may not work when more than one active interface is found
- corrected an error when getifaddr finds a ptp interface

* Mon Nov 17 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.4-1
- Release 0.4
- Added keep-alive to keep TCP connection open (printer will close it when
  connection is idle for ~30 sec). This will occur when filter is slow with
  sending more data for whatever reason.
- Added a delay of 15 seconds at end of printjob as some printers will otherwise not 
  accept new printjobs
- Cleanup of Makefile and specfile so it works for all RedHat style systems

* Tue Oct 7 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.3-1
- added some sanity checks on call to gethostbyaddr so we do not bomb out
  when hostname field is not set (can this occur?) or when a buggy Avm fritz box
  returns noname rather then fail when no name is available on a reverse name lookup
- Added a version string printout when incorrect number of arguments is recieved on command line
- changed printbuffer to 4k. Recommended by Zedo, the Turboprint people
  changed throttle pause from 3 sec to 40 msec. Improves performance. Recommended by Zedo.
- fixed a bug in scanning our interfaces when ifa_addr could be 0
  (reported by Matt McHenry <jerith@speakeasy.org>)
- added new/ improved compiler flags that trap more mistakes
- sone cleanup with feedback from Sane-BJNP (revised protocol codes etc)
- minor bugfixes for off-line behaviour

* Sat Aug 9 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.2-1
- release 0.2

* Sat Aug 2 2008 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.1-1
- Initial RPM release for release 0.1
